VLCKit

Instance Methods | Properties | List of all members
VLCRendererDiscovererDescription Class Reference

`#import <VLCRendererDiscoverer.h>`

Inheritance diagram for VLCRendererDiscovererDescription:

## Instance Methods
(instancetype) | - initWithName:longName:

## Properties
NSString * | name
NSString * | longName

## Detailed Description

Renderer Discoverer description

## Method Documentation

## ◆ initWithName:longName:

- (instancetype) initWithName: |  | (NSString *) | name
longName: |  | (NSString *) | longName

Instanciates an object that holds information about a renderer discoverer

Parameters

  name | Name of the renderer discoverer
  longName | Long name of the renderer discoverer

Returns
  A new `VLCRendererDiscovererDescription` object, only if there were no errors

## Property Documentation

## ◆ longName

- (NSString*) longName
| read nonatomic copy

Long name of the renderer discoverer

## ◆ name

- (NSString*) name
| read nonatomic copy

Name of the renderer discoverer

The documentation for this class was generated from the following file:

- Headers/Public/VLCRendererDiscoverer.h